<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * FriendFeed Settings
 *
 * The html markup for the FriendFeed settings tab.
 *
 * @package Social Auto Poster
 * @since 1.3.0
 */

global $wpw_auto_poster_options, $wpw_auto_poster_model;

//model class
$model = $wpw_auto_poster_model;

?>

<!-- beginning of the friendfeed general settings meta box -->
<div id="wpw-auto-poster-friendfeed-general" class="post-box-container">
	<div class="metabox-holder">	
		<div class="meta-box-sortables ui-sortable">
			<div id="friendfeed_general" class="postbox">	
				<div class="handlediv" title="<?php _e( 'Click to toggle', 'wpwautoposter' ); ?>"><br /></div>
								
					<h3 class="hndle">
						<span style='vertical-align: top;'><?php _e( 'FriendFeed General Settings', 'wpwautoposter' ); ?></span>
					</h3>
									
					<div class="inside">
										
						<table class="form-table">											
							<tbody>
								<tr valign="top">
									<th scope="row">
										<label for="wpw_auto_poster_options[enable_friendfeed]"><?php _e( 'Enable Autoposting to FriendFeed:', 'wpwautoposter' ); ?></label>
									</th>
									<td>
										<input name="wpw_auto_poster_options[enable_friendfeed]" id="wpw_auto_poster_options[enable_friendfeed]" type="checkbox" value="1" <?php if( isset( $wpw_auto_poster_options['enable_friendfeed'] ) ) { checked( '1', $wpw_auto_poster_options['enable_friendfeed'] ); } ?> />
										<p><small><?php _e( 'Check this box, if you want to autopost your content to FriendFeed.', 'wpwautoposter' ); ?></small></p>
									</td>
								</tr>	

								<tr valign="top">
									<th scope="row">
										<label for="wpw_auto_poster_options[enable_friendfeed_for]"><?php _e( 'Enable FriendFeed Autoposting for:', 'wpwautoposter' ); ?></label>
									</th>
									<td>
										<ul>
										<?php 
											$all_types = get_post_types( array( 'public' => true ), 'objects');
											$all_types = is_array( $all_types ) ? $all_types : array();
											
											if( !empty( $wpw_auto_poster_options['enable_friendfeed_for'] ) ) {
												$prevent_meta = $wpw_auto_poster_options['enable_friendfeed_for'];
											} else {
												$prevent_meta = '';
											}
															
											$prevent_meta = is_array( $prevent_meta ) ? $prevent_meta : array();
														
											foreach ( $all_types as $type ) {	
												/*if( !empty( $wpw_auto_poster_options['prevent_item_'.$type->name] ) ) {
													$items_count = count( $wpw_auto_poster_options['prevent_item_'.$type->name] );
												} else {
													$wpw_auto_poster_options['prevent_item_'.$type->name] = '';
													$items_count = 0;
												}*/
															
												if ( !is_object( $type ) ) continue;															
													$label = @$type->labels->name ? $type->labels->name : $type->name;
													if( $label == 'Media' || $label == 'media' ) continue; // skip media
													$selected = ( in_array( $type->name, $prevent_meta ) ) ? 'checked="checked"' : '';
										?>
															
											<li class="wpw-auto-poster-prevent-types">
												<input type="checkbox" id="wpw_auto_posting_ff_prevent_<?php echo $type->name; ?>" name="wpw_auto_poster_options[enable_friendfeed_for][]" value="<?php echo $type->name; ?>" <?php echo $selected; ?>/>
																						
												<label for="wpw_auto_posting_ff_prevent_<?php echo $type->name; ?>"><?php echo $label; ?></label>
											</li>
											
											<?php	} ?>
										</ul>
										<p><small><?php _e( 'Check each of the post types you want to automatically post to FriendFeed when they get published.', 'wpwautoposter' ); ?></small></p>  
									</td>
								</tr> 
										
								<tr valign="top">
									<th scope="row">
										<label for="wpw_auto_poster_options[ff_url_shortener]"><?php _e( 'URL Shortener:', 'wpwautoposter' ); ?></label> 
									</th>
									<td>
										<select name="wpw_auto_poster_options[ff_url_shortener]" id="wpw_auto_poster_options[ff_url_shortener]" class="ff_url_shortener" data-content='ff'>
											<?php
												$ff_url_shortener = array( 'wordpress' => __( 'WordPress', 'wpwautoposter' ), 'tinyurl' => __( 'TinyURL', 'wpwautoposter' ), 'bitly' => __( 'bit.ly', 'wpwautoposter' ) );
																
												foreach ( $ff_url_shortener as $key => $option ) {											
													?>
													<option value="<?php echo $model->wpw_auto_poster_escape_attr( $key ); ?>" <?php selected( $wpw_auto_poster_options['ff_url_shortener'], $key ); ?>>
														<?php esc_html_e( $option ); ?>
													</option>
													<?php
												}															
											?> 														
										</select>
										<p><small><?php _e( 'Long URLs will automatically be shortened using the specified URL shortener.', 'wpwautoposter' ); ?></small></p>
									</td>
								</tr>
								
								<?php	        
									if( $wpw_auto_poster_options['ff_url_shortener'] == 'bitly' ) {	        		
										$class = '';	        		
									} else {	        		
										$class = ' style="display:none;"';
									}
								?>
								
								<tr valign="top" class="ff_setting_input_bitly"<?php echo $class; ?>>
									<th scope="row">
										<label for="wpw_auto_poster_options[ff_bitly_username]"><?php _e( 'Bit.ly username', 'wpwautoposter' ); ?> </label>
									</th>
									<td>
										<input type="text" name="wpw_auto_poster_options[ff_bitly_username]" id="wpw_auto_poster_options[ff_bitly_username]" value="<?php echo $model->wpw_auto_poster_escape_attr( $wpw_auto_poster_options['ff_bitly_username'] ); ?>" class="large-text">
									</td>
								</tr>
										
								<tr valign="top" class="ff_setting_input_bitly"<?php echo $class; ?>>
									<th scope="row">
										<label for="wpw_auto_poster_options[ff_bitly_api_key]"><?php _e( 'Bit.ly API key', 'wpwautoposter' ); ?> </label>
									</th>
									<td>
										<input type="text" name="wpw_auto_poster_options[ff_bitly_api_key]" id="wpw_auto_poster_options[ff_bitly_api_key]" value="<?php echo $model->wpw_auto_poster_escape_attr( $wpw_auto_poster_options['ff_bitly_api_key'] ); ?>" class="large-text">
									</td>
								</tr>	
											
								<?php
									echo apply_filters ( 
											 'wpweb_fb_settings_submit_button', 
											 '<tr valign="top">
													<td colspan="2">
														<input type="submit" value="' . __( 'Save Changes', 'wpwautoposter' ) . '" id="wpw_auto_poster_set_submit" name="wpw_auto_poster_set_submit" class="button-primary">
													</td>
												</tr>'
											);
								?>	   													
							</tbody>
						</table>
										
					</div><!-- .inside -->
									
			</div><!-- #friendfeed_general -->
		</div><!-- .meta-box-sortables ui-sortable -->
	</div><!-- .metabox-holder -->
</div><!-- #wpw-auto-poster-friendfeed-general -->
<!-- end of the friendfeed general settings meta box -->

<!-- beginning of the friendfeed api settings meta box -->
<div id="wpw-auto-poster-friendfeed-api" class="post-box-container">
	<div class="metabox-holder">	
		<div class="meta-box-sortables ui-sortable">
			<div id="friendfeed_api" class="postbox">	
				<div class="handlediv" title="<?php _e( 'Click to toggle', 'wpwautoposter' ); ?>"><br /></div>
								
					<h3 class="hndle">
						<span style='vertical-align: top;'><?php _e( 'FriendFeed API Settings', 'wpwautoposter' ); ?></span>
					</h3>
									
					<div class="inside">
										
						<table class="form-table">											
							<tbody>
							
								<tr valign="top">
									<th scope="row">
										<label><?php _e( 'FriendFeed Account:', 'wpwautoposter' ); ?></label>
									</th>
									<td>
										<p><?php _e( 'Before you can start publishing your content to FriendFeed you need to create a FriendFeed Account.', 'wpwautoposter' ); ?></p>
										<ol>
											<li><?php _e( 'Create an account for this site on the <a href="http://friendfeed.com/" target="_blank">Create FriendFeed Account</a>', 'wpwautoposter' ); ?></li>
											<li><?php _e( 'After this, go to the <a href="http://friendfeed.com/account/api" target="_blank">FriendFeed Remote Key & Nickname</a> and copy your newly created user nickname & remote key and enter them here.', 'wpwautoposter' ); ?></li>
										</ol>
									</td>
								</tr>	
							
								<tr valign="top">
									<th scope="row">
										<label for="wpw_auto_poster_options[friendfeed_nickname]"><?php _e( 'Your FriendFeed Nickname:', 'wpwautoposter' ); ?></label>
									</th>
									<td>
										<input type="text" name="wpw_auto_poster_options[friendfeed_nickname]" id="wpw_auto_poster_options[friendfeed_nickname]" value="<?php echo $model->wpw_auto_poster_escape_attr( $wpw_auto_poster_options['friendfeed_nickname'] ); ?>" class="large-text">
										<!--<p><small><?php _e( 'Enter your friendfeed account nickname.', 'wpwautoposter' ); ?></small></p>-->
									</td>
								</tr>
								
								<tr valign="top">
									<th scope="row">
										<label for="wpw_auto_poster_options[friendfeed_remote_key]"><?php _e( 'Your FriendFeed Remote Key:', 'wpwautoposter' ); ?></label>
									</th>
									<td>
										<input type="text" name="wpw_auto_poster_options[friendfeed_remote_key]" id="wpw_auto_poster_options[friendfeed_remote_key]" value="<?php echo $model->wpw_auto_poster_escape_attr( $wpw_auto_poster_options['friendfeed_remote_key'] ); ?>" class="large-text">
										<!--<p><small><?php _e( 'Enter your friendfeed user remote key.', 'wpwautoposter' ); ?></small></p>-->
									</td>
								</tr>
								
								<?php
									echo apply_filters ( 
													 'wpweb_fb_settings_submit_button', 
													 '<tr valign="top">
															<td colspan="2">
																<input type="submit" value="' . __( 'Save Changes', 'wpwautoposter' ) . '" id="wpw_auto_poster_set_submit" name="wpw_auto_poster_set_submit" class="button-primary">
															</td>
														</tr>'
													);
								?>	 
								
							</tbody>
						</table>
										
					</div><!-- .inside -->
									
			</div><!-- #friendfeed_api -->
		</div><!-- .meta-box-sortables ui-sortable -->
	</div><!-- .metabox-holder -->
</div><!-- #wpw-auto-poster-friendfeed-api -->
<!-- end of the friendfeed api settings meta box -->

<!-- beginning of the autopost meta box -->
<div id="wpw-auto-poster-autopost" class="post-box-container">
	<div class="metabox-holder">	
		<div class="meta-box-sortables ui-sortable">
			<div id="autopost" class="postbox">	
				<div class="handlediv" title="<?php _e( 'Click to toggle', 'wpwautoposter' ); ?>"><br /></div>
									
				<h3 class="hndle">
					<span style='vertical-align: top;'><?php _e( 'Autopost to FriendFeed', 'wpwautoposter' ); ?></span>
				</h3>
								
				<div class="inside">
					<table class="form-table">
						<tbody>
						
							<tr valign="top"> 
								<th scope="row">
									<label for="wpw_auto_poster_options[prevent_post_ff_metabox]"><?php _e( 'Do not allow individual posts to FriendFeed:', 'wpwautoposter' ); ?></label>
								</th>									
								<td>
									<input name="wpw_auto_poster_options[prevent_post_ff_metabox]" id="wpw_auto_poster_options[prevent_post_ff_metabox]" type="checkbox" value="1" <?php if( isset( $wpw_auto_poster_options['prevent_post_ff_metabox'] ) ) { checked( '1', $wpw_auto_poster_options['prevent_post_ff_metabox'] ); } ?> />
									<p><small><?php _e( 'If you check this box, then it will hide meta settings for friendfeed from individual posts.', 'wpwautoposter' ); ?></small></p>
								</td>	
							</tr>
							
							<tr valign="top">
								<th scope="row">
									<label for="wpw_auto_poster_options[ff_post_img]"><?php _e( 'FriendFeed Post Image:', 'wpwautoposter' ); ?></label>
								</th>
								<td>
									<input type="text" name="wpw_auto_poster_options[ff_post_img]" id="wpw_auto_poster_options_ff_post_img" class="large-text wpw-auto-poster-img-field" value="<?php echo !empty($wpw_auto_poster_options['ff_post_img']) ? $model->wpw_auto_poster_escape_attr( $wpw_auto_poster_options['ff_post_img'] ) : ''; ?>">
									<input type="button" class="button-secondary wpw-auto-poster-uploader-button" name="wpw-auto-poster-uploader" value="<?php _e( 'Add Image','wpwautoposter' );?>" />
									<p><small><?php _e( 'Enter custom post image url which will posted to friendfeed user\'s wall.', 'wpwautoposter' ); ?></small></p>
								</td>	
							</tr>
						
							<?php
								echo apply_filters ( 
													 'wpweb_fb_settings_submit_button', 
													 '<tr valign="top">
															<td colspan="2">
																<input type="submit" value="' . __( 'Save Changes', 'wpwautoposter' ) . '" id="wpw_auto_poster_set_submit" name="wpw_auto_poster_set_submit" class="button-primary">
															</td>
														</tr>'
													);
							?>	 
						</tbody>
					</table>
				</div><!-- .inside -->
			</div><!-- #autopost -->
		</div><!-- .meta-box-sortables ui-sortable -->
	</div><!-- .metabox-holder -->
</div><!-- #wpw-auto-poster-autopost -->
<!-- end of the autopost meta box -->